<?php
// $Id: ec_checkout.admin.inc,v 1.3 2008/10/29 22:56:59 gordon Exp $

/**
 * @file
 * eC Checkout administration
 */

/**
 * Form for determining the order of the checkout screens.
 *
 * @ingroup form
 */
function ec_checkout_admin_screen_form() {
  $form = array();
  $screens = ec_checkout_get_screens();
  foreach ($screens as $i => $name) {
    $disabled = ($name == 'ec_anon' || $name == 'ec_checkout');
    $form['module'][$name] = array(
      '#type' => 'weight',
      '#default_value' => $i,
    );
    if (!empty($disabled)) {
      $form['module'][$name]['#disabled'] = TRUE;
    }
  }

  if (isset($form['module'])) {
    $form['module']['#tree'] = TRUE;
  }
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Update screen order')
    );

  return $form;
}

/**
 * Form for determining the order of the checkout screens.
 *
 * @ingroup form
 */
function ec_checkout_admin_screen_form_submit(&$form, &$form_state) {
  $modules = (array)$form_state['values']['module'];
  asort($modules);

  $ordered = array('ec_anon');
  foreach ($modules as $key => $value) {
    if ($key != 'ec_anon' && $key != 'ec_checkout') {
      $ordered[] = $key;
    }
  }
  $ordered[] = 'ec_checkout';

  variable_set('ec_checkout_screens', $ordered);
  drupal_set_message(t('The screen order has been saved.'));
  menu_rebuild();
}
