<?php
// $Id: ec_customer.theme.inc,v 1.1 2008/10/11 02:01:29 gordon Exp $

/**
 * @file
 * Customer theme functions
 */

function theme_ec_customer_ctypes_form($form) {
  $output = '';

  $elements = element_children($form['ec_customer_ctypes']);
  if (!empty($elements)) {
    drupal_add_tabledrag('ctype-table', 'order', 'sibling', 'ctype-weight');
    $header = array(t('Name'), t('Type'), t('Description'), t('Weight'));

    foreach ($elements as $element) {
      $rows[] = array(
        'data' => array(
          drupal_render($form['ec_customer_ctypes'][$element]['name']),
          drupal_render($form['ec_customer_ctypes'][$element]['type']),
          drupal_render($form['ec_customer_ctypes'][$element]['description']),
          drupal_render($form['ec_customer_ctypes'][$element]['weight']),
        ),
        'class' => 'draggable',
      );
    }
    $output .= theme('table', $header, $rows, array('id' => 'ctype-table'));
  }
  else {
    drupal_set_message(t('No customer modules have been enabled.'), 'error');
  }

  $output .= drupal_render($form);
  return $output;
}

/**
 * Themes the address form elements on the checkout review page
 */
function theme_ec_customer_address($form) {
  $output = '<div class="ec-customer-address">';
  $screens = ec_checkout_get_screens();
  $screen = array_search('ec_customer', $screens);
  if (isset($form['shipping_address'])) {
    $output .= '<div class="address-shipping"><strong>'. t('Ship to:') .
      '</strong><br />'. drupal_render($form['shipping_address']) .'</div>';
  }
  $output .= '<div class="address-billing"><strong>'. t('Billing to:') .
    '</strong><br />'. drupal_render($form['billing_address']) .'</div></div>';

  drupal_add_css(drupal_get_path('module', 'ec_customer') .'/ec_customer.css');
  return theme('box', drupal_render($form['title']) .' '. l(t('(change)'),
    'checkout/process', array('class' => 'checkout-link'), "op={$screen}&".
    drupal_get_destination()), $output);
}

function theme_ec_customer_anon_address($form) {
  $title    = drupal_render($form['title']);
  $contents = drupal_render($form);
  return theme('box', $title, $contents);
}
